# Uses of Interface
org.apache.sling.jackrabbit.usermanager.resource.SystemUserManagerPaths

Packages that use SystemUserManagerPaths
Package
Description
org.apache.sling.jackrabbit.usermanager.impl.post
org.apache.sling.jackrabbit.usermanager.impl.resource

## Uses of SystemUserManagerPaths in org.apache.sling.jackrabbit.usermanager.impl.post

Fields in org.apache.sling.jackrabbit.usermanager.impl.post declared as SystemUserManagerPaths
Modifier and Type
Field
Description
`protected SystemUserManagerPaths`
AbstractAuthorizablePostServlet.`systemUserManagerPaths`
Methods in org.apache.sling.jackrabbit.usermanager.impl.post with parameters of type SystemUserManagerPaths
Modifier and Type
Method
Description
`protected void`
AbstractAuthorizablePostServlet.`bindSystemUserManagerPaths(SystemUserManagerPaths sump)`

## Uses of SystemUserManagerPaths in org.apache.sling.jackrabbit.usermanager.impl.resource

Classes in org.apache.sling.jackrabbit.usermanager.impl.resource that implement SystemUserManagerPaths
Modifier and Type
Class
Description
`class`
`AuthorizableResourceProvider`
Resource Provider implementation for jackrabbit UserManager resources.
Fields in org.apache.sling.jackrabbit.usermanager.impl.resource declared as SystemUserManagerPaths
Modifier and Type
Field
Description
`protected final SystemUserManagerPaths`
AuthorizableResource.`systemUserManagerPaths`
`protected final SystemUserManagerPaths`
BaseAuthorizableValueMap.`systemUserManagerPaths`
Constructors in org.apache.sling.jackrabbit.usermanager.impl.resource with parameters of type SystemUserManagerPaths
Modifier
Constructor
Description
``
`AuthorizableResource(org.apache.jackrabbit.api.security.user.Authorizable authorizable, org.apache.sling.api.resource.ResourceResolver resourceResolver, String path, SystemUserManagerPaths systemUserManagerPaths)`
``
`AuthorizableValueMap(org.apache.jackrabbit.api.security.user.Authorizable authorizable, SystemUserManagerPaths systemUserManagerPaths)`
`protected`
`BaseAuthorizableValueMap(org.apache.jackrabbit.api.security.user.Authorizable authorizable, SystemUserManagerPaths systemUserManagerPaths)`
``
`NestedAuthorizableResource(org.apache.jackrabbit.api.security.user.Authorizable authorizable, org.apache.sling.api.resource.ResourceResolver resourceResolver, String path, SystemUserManagerPaths systemUserManagerPaths, String relPropPath)`
``
`NestedAuthorizableValueMap(org.apache.jackrabbit.api.security.user.Authorizable authorizable, SystemUserManagerPaths systemUserManagerPaths, @NotNull String relPropPath)`